Bug 1585243 - [3.9] Entire cluster goes to NotReady using a NetworkPolicy that contains an ingress ipBlock section
Summary: [3.9] Entire cluster goes to NotReady using a NetworkPolicy that contains an ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Ben Bennett
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1583255
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-01 15:44 UTC by Dan Winship
Modified: 2018-06-27 18:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OpenShift's default network plugin has not been updated to implement the new NetworkPolicy features introduced upstream in Kubernetes (policies for controlling egress, and policies based on IP addresses rather than pods or namespaces). Consequence: In 3.9, creating a NetworkPolicy with an "ipBlock" section would cause nodes to crash, and creating a NetworkPolicy that contained only "egress" rules would erroneously cause ingress traffic to be blocked. Fix: The code is now aware of the unsupported NetworkPolicy features (though it does not yet implement them). Result: If a NetworkPolicy contains "ipBlock" rules, those rules are ignored. (This may cause the policy to be treated as "deny all" if the "ipBlock" rule was the only rule in the policy). If a NetworkPolicy contains only "egress" rules, it is ignored completely (and does not affect ingress).
Clone Of: 1583255
Environment:
Last Closed: 2018-06-27 18:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ose pull 1295 None None None 2018-06-01 15:45:41 UTC
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Comment 1 Dan Winship 2018-06-01 15:45:41 UTC
https://github.com/openshift/ose/pull/1295

Comment 3 Meng Bo 2018-06-11 07:55:12 UTC
The fix is not included in build v3.9.30, will check the bug later.

Comment 4 Meng Bo 2018-06-14 09:37:11 UTC
Test on v3.9.31

The ipBlock will not broken the node and the networkpolicy works as before.

Verify the bug.

Comment 6 errata-xmlrpc 2018-06-27 18:02:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.